Bug 7341 - Hyperlink to gcov in gcc documentation doesn't work
Hyperlink to gcov in gcc documentation doesn't work
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: other
3.1
: P3 normal
: ---
Assigned To: Volker Reichelt
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-17 09:36 UTC by schnetter
Modified: 2003-07-25 17:33 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description schnetter 2002-07-17 09:36:02 UTC
The info page for gcc called "(gcc)Debugging Options" contains in the paragraph explaining the option "`-ftest-coverage'" a hyperlink (or reference) to "`gcov'".  This hyperlink does not work; when in xemacs I press "f" to follow, and confirm with <return> that I want to follow a reference "(`gcov')", then I receive the error message

	No such node: a GCC Test Coverage Program: Gcov

I receive the same error message when I use the standalone "info" programme, version 4.0.

Release:
gcc 3.1
Comment 1 Volker Reichelt 2002-12-13 07:52:14 UTC
Responsible-Changed-From-To: unassigned->reichelt
Responsible-Changed-Why: Working on a fix.
Comment 2 Volker Reichelt 2002-12-13 07:52:14 UTC
State-Changed-From-To: open->analyzed
State-Changed-Why: Confirmed.
Comment 3 Volker Reichelt 2003-01-23 10:00:59 UTC
From: reichelt@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: other/7341
Date: 23 Jan 2003 10:00:59 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Branch: 	gcc-3_2-branch
 Changes by:	reichelt@gcc.gnu.org	2003-01-23 10:00:59
 
 Modified files:
 	gcc            : ChangeLog 
 	gcc/doc        : invoke.texi gcc.texi gcov.texi 
 
 Log message:
 	PR other/7341
 	* invoke.texi (ftest-coverage): Fix broken cross-reference.
 	Change @code to @command for gcov command.
 	
 	* gcc.texi: Adjust title of gcov section.
 	* gcov.texi: Likewise.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.13152.2.657.2.182&r2=1.13152.2.657.2.183
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/doc/invoke.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.119.2.12.4.10&r2=1.119.2.12.4.11
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/doc/gcc.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.52.6.1.4.1&r2=1.52.6.1.4.2
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/doc/gcov.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_2-branch&r1=1.7&r2=1.7.8.1
 
Comment 4 Volker Reichelt 2003-01-23 10:10:46 UTC
From: reichelt@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: other/7341
Date: 23 Jan 2003 10:10:46 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Branch: 	gcc-3_3-branch
 Changes by:	reichelt@gcc.gnu.org	2003-01-23 10:10:45
 
 Modified files:
 	gcc            : ChangeLog 
 	gcc/doc        : invoke.texi gcc.texi gcov.texi 
 
 Log message:
 	PR other/7341
 	* invoke.texi (ftest-coverage): Fix broken cross-reference.
 	Change @code to @command for gcov command.
 	
 	* gcc.texi: Adjust title of gcov section.
 	Adjust copyright.
 	* gcov.texi: Likewise.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.16114.2.90&r2=1.16114.2.91
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/doc/invoke.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.209.2.8&r2=1.209.2.9
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/doc/gcc.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.55.8.2&r2=1.55.8.3
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/doc/gcov.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.11&r2=1.11.14.1
 

Comment 5 Volker Reichelt 2003-01-23 10:14:34 UTC
From: reichelt@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: other/7341
Date: 23 Jan 2003 10:14:34 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Changes by:	reichelt@gcc.gnu.org	2003-01-23 10:14:34
 
 Modified files:
 	gcc            : ChangeLog 
 	gcc/doc        : invoke.texi gcc.texi gcov.texi 
 
 Log message:
 	PR other/7341
 	* invoke.texi (ftest-coverage): Fix broken cross-reference.
 	Change @code to @command for gcov command.
 	
 	* gcc.texi: Adjust title of gcov section.
 	Adjust copyright.
 	* gcov.texi: Likewise.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&r1=1.16447&r2=1.16448
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/doc/invoke.texi.diff?cvsroot=gcc&r1=1.225&r2=1.226
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/doc/gcc.texi.diff?cvsroot=gcc&r1=1.57&r2=1.58
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/doc/gcov.texi.diff?cvsroot=gcc&r1=1.12&r2=1.13
Comment 6 Volker Reichelt 2003-01-23 10:15:22 UTC
State-Changed-From-To: analyzed->closed
State-Changed-Why: Fixed in 3.2 branch, 3.3 branch and mainline.